<?php
/**
 * The template for displaying Comments.
 * If the current post is protected by a password and
 * the visitor has not yet entered the password we will
 * return early without loading the comments.
 */
if ( post_password_required() )
	return;
?>

<div id="comments" class="comments-area">

	<?php // You can start editing here -- including this comment! ?>

	<?php if ( have_comments() ) : ?>

		<ul class="commentlist">
			<?php wp_list_comments( array( 'callback' => 'cwp_roby_comment', 'style' => 'ul' ) ); ?>
		</ul><!-- .commentlist -->

		<?php if ( get_comment_pages_count() > 1 && get_option( 'page_comments' ) ) : // are there comments to navigate through ?>
		<nav id="comment-nav-below" class="navigation" role="navigation">
			<h1 class="assistive-text section-heading"><?php _e( 'Comment navigation', 'cwp_roby' ); ?></h1>
			<div class="nav-previous"><?php previous_comments_link( __( '&larr; Older Comments', 'cwp_roby' ) ); ?></div>
			<div class="nav-next"><?php next_comments_link( __( 'Newer Comments &rarr;', 'cwp_roby' ) ); ?></div>
		</nav>
		<?php endif; // check for comment navigation ?>

		<?php
		/* If there are no comments and comments are closed, let's leave a note.
		 * But we only want the note on posts and pages that had comments in the first place.
		 */
		if ( ! comments_open() && get_comments_number() ) : ?>
		<p class="nocomments"><?php _e( 'Comments are closed.' , 'cwp_roby' ); ?></p>
		<?php endif; ?>

	<?php endif; // have_comments() ?>

	<?php
	$comments_args = array(

				'title_reply' => '',

				// change the title of send button

				'label_submit'=> __('Send comment','cwp_roby'),

				'comment_notes_before' => '',

				// remove "Text or HTML to be displayed after the set of comment fields"

				'comment_notes_after' => '',

				// redefine your own textarea (the comment body)

				'comment_field' => '<p><label for="comment">'.__('Comment:','cwp_roby').'</label>

									<textarea name="comment" class="comm_textarea_text" id="comment"></textarea></p>',



				'fields' => array(

				'author' => '<p>' . '<label for="author">' . __( 'Name:', 'cwp_roby' ) . '</label> ' . '<input class="user" id="author" name="author" type="text" value="'.$comment_author.'" /> '. '</p>',

				'email' => '<p>'.'<label for="email">' . __( 'Mail:', 'cwp_roby' ) . '</label> ' .'<input class="email" id="email" name="email" type="text" value="'.$comment_author_email.'" />'. '</p>',

				'url' => '<p>'.'<label for="url">' . __( 'Website:', 'cwp_roby' ) . '</label>' .'<input class="url" id="url" name="url" type="text" value="'.$comment_author_url.'" />'. '</p>',

			),

		);



		comment_form($comments_args);
		?>

</div><!-- #comments .comments-area -->